Skip to main content
GET
/
workflow
/
v1
/
documents
/
{documentId}
/
transitions
cURL
curl --request GET \
  --url https://aodocs.altirnao.com/api/workflow/v1/documents/{documentId}/transitions \
  --header 'Authorization: Bearer <token>'
{
  "isTransitionable": true,
  "items": [
    {
      "commentPolicy": "FORBIDDEN",
      "condition": "<string>",
      "fromStateId": "<string>",
      "fromStateName": "<string>",
      "fromStateName_i18n": "<string>",
      "id": "<string>",
      "kind": "<string>",
      "mandatoryComment": true,
      "name": "<string>",
      "name_i18n": "<string>",
      "parallel": true,
      "targetStateId": "<string>",
      "targetStateName": "<string>",
      "targetStateName_i18n": "<string>",
      "validators": [
        {
          "kind": "<string>",
          "user": {
            "email": "<string>",
            "kind": "<string>",
            "name": "<string>",
            "nonGoogle": true,
            "thumbnailPictureUrl": "<string>"
          },
          "validated": true
        }
      ],
      "value": "<string>",
      "workflowId": "<string>"
    }
  ],
  "kind": "<string>",
  "notTransitionableReason": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://api.aodocs.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

documentId
string
required

The ID of the document

Query Parameters

securityCode
string

The security code

domain
string

The G Suite domain

Response

200 - application/json

A ApiStateTransitionList response

isTransitionable
boolean
items
object[]
kind
string
notTransitionableReason
string